com.jscape.inet.gateway.port.web

## Enum WebApiClient.Protocol

- java.lang.Object
- - java.lang.Enum<WebApiClient.Protocol>
  - - com.jscape.inet.gateway.port.web.WebApiClient.Protocol

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<WebApiClient.Protocol>
  Enclosing class:
    WebApiClient

      public static enum WebApiClient.Protocol
      extends java.lang.Enum<WebApiClient.Protocol>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HTTP`
    `HTTPS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.net.HttpURLConnection` | `connect(java.lang.String host, int port, java.lang.String uri, javax.net.ssl.HostnameVerifier hostnameVerifier, javax.net.ssl.SSLSocketFactory sslSocketFactory)`
    `static WebApiClient.Protocol` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static WebApiClient.Protocol[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP

          public static final WebApiClient.Protocol HTTP

    - #### HTTPS

          public static final WebApiClient.Protocol HTTPS

  - ### Method Detail

    - #### values

          public static WebApiClient.Protocol[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebApiClient.Protocol c : WebApiClient.Protocol.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebApiClient.Protocol valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### connect

          public abstract java.net.HttpURLConnection connect(java.lang.String host,
                                                             int port,
                                                             java.lang.String uri,
                                                             javax.net.ssl.HostnameVerifier hostnameVerifier,
                                                             javax.net.ssl.SSLSocketFactory sslSocketFactory)
                                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved